import _extends from "@babel/runtime/helpers/esm/extends";
import { lazy } from 'react';
import { UNKNOWN } from '../settings/index.js';
import useDetectVideoType from './useDetectVideoType.js';
var useVideoPlayer = function useVideoPlayer(props) {
  var src = props.src;
  var _useDetectVideoType = useDetectVideoType(),
    detectVideoType = _useDetectVideoType.detectVideoType;
  var videoType = detectVideoType(src);
  if (videoType === UNKNOWN) return ['p', _extends({}, props, {
    children: 'Not supported media type'
  })];
  return [/*#__PURE__*/lazy(function () {
    return import("../components/" + videoType.PLAYER_COMPONENT + ".js");
  }), props];
};
export default useVideoPlayer;