import _asyncToGenerator from "@babel/runtime/helpers/esm/asyncToGenerator";
import _regeneratorRuntime from "@babel/runtime/regenerator";
import { VIMEO } from '../../settings/players.js';
var useVideoMetadata = function useVideoMetadata(_ref) {
  var src = _ref.src,
    onLoadVideo = _ref.onLoadVideo;
  var loadVideoMetadata = /*#__PURE__*/function () {
    var _ref2 = _asyncToGenerator( /*#__PURE__*/_regeneratorRuntime.mark(function _callee(player) {
      var duration, videoWidth, videoHeight;
      return _regeneratorRuntime.wrap(function _callee$(_context) {
        while (1) switch (_context.prev = _context.next) {
          case 0:
            _context.next = 2;
            return player.current.getDuration();
          case 2:
            duration = _context.sent;
            _context.next = 5;
            return player.current.getVideoWidth();
          case 5:
            videoWidth = _context.sent;
            _context.next = 8;
            return player.current.getVideoHeight();
          case 8:
            videoHeight = _context.sent;
            onLoadVideo({
              src: src,
              type: VIMEO.VIDEO_TYPE,
              duration: duration,
              videoWidth: videoWidth,
              videoHeight: videoHeight
            });
          case 10:
          case "end":
            return _context.stop();
        }
      }, _callee);
    }));
    return function loadVideoMetadata(_x) {
      return _ref2.apply(this, arguments);
    };
  }();
  return {
    loadVideoMetadata: loadVideoMetadata
  };
};
export default useVideoMetadata;